curl
Search
Search for facet values
Searches for values of a specified facet attribute on the composition’s main source’s index.
POST
curl
- By default, facet values are sorted by decreasing count.
You can adjust this with the
sortFacetValueByparameter. - Searching for facet values doesn’t work if you have more than 65 searchable facets and searchable attributes combined.
searchAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Unique Composition ObjectID. Composition unique identifier.
Example:
"my_composition_object_id"
Facet attribute in which to search for values.
This attribute must be included in the attributesForFaceting index setting with the searchable() modifier.
Body
application/json
Response
OK
Search for facet values results.
Last modified on March 23, 2026